E.Leclerc Search
Search for products on E.Leclerc by keyword with optional store-specific filtering and pagination.
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Search keyword or phrase to query on E.Leclerc.
Example:
pommeNotes:
- Supports any keyword, brand name, or product category (in French).
- Results are paginated; use the
pageparameter to navigate through pages.
store_id?string
ID of a specific E.Leclerc store to search in.
Get the store_id from the E.Leclerc Stores API.
Example:
1631Notes:
- If omitted, the search is performed on the national online store.
- Use a store ID to get local product availability and pricing.
page?number
Page number for paginated results.
Notes:
- Use the
pagination.nextfield in the response to determine if additional pages are available. - Increment this value to retrieve subsequent result pages.
Default
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/eleclerc/search?query=string"{
"total": 1,
"results": [
{
"id": "3603312946485",
"sku": "3603312946485",
"slug": "sapin-givre-et-pomme-de-pin-180-cm",
"label": "Sapin Givré et Pomme de pin 180 cm",
"family": {
"code": "sapin_de_neol",
"label": "Sapin de Noël",
"logisticClassCode": "TARIF2"
},
"variants": [
{
"id": "3603312946485",
"sku": "3603312946485",
"slug": "sapin-givre-et-pomme-de-pin-180-cm",
"label": "Sapin Givré et Pomme de pin 180 cm",
"offers": [
{
"id": "389083277",
"shop": {
"id": "Leclerc",
"label": "E.Leclerc",
"signCode": "0100"
},
"stock": 53,
"locale": "FR",
"ranges": [
{
"price": {
"price": 8990,
"priceWithAllTaxes": 8990
},
"threshold": 1
}
],
"currency": {
"code": "EUR",
"symbol": "€"
},
"isDefault": true,
"externalId": "o-3603312946485"
}
],
"offersTotal": 1
}
],
"creationDate": "2024-10-30T09:35:22.891169Z",
"cncOffersCount": 259,
"lastUpdateDate": "2025-03-24T14:35:31.173215Z"
}
],
"pagination": {
"next": 2,
"current": 1,
"has_next_page": true
}
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}